=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/mmcloughlin/avo.git \
  HEAD debian
