## golang-github-mmcloughlin-avo 0.5.0

=== debian/changelog ===
golang-github-mmcloughlin-avo (0.5.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.5.0
  * Track upstream tags in uscan watch file
  * Update section to golang
  * Update Standards-Version to 4.6.2 (no changes)
  * Add Multi-Arch
  * Add golang-golang-x-sys-dev to Build-Depends
  * Simplify d/rules
  * Exclude all internal commands
  * Fix autopktest not running
  * Add patch to skip undeclared name test in TestParseSignatureErrors

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Feb 2023 16:56:29 +0800
