=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/mmcloughlin/avo.git \
  refs/tags/v?@ANY_VERSION@ debian
